summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDavid Seifert <soap@gentoo.org>2018-05-27 16:31:03 +0200
committerDavid Seifert <soap@gentoo.org>2018-05-27 16:31:36 +0200
commit31a70e941154558bcf8afe94c3dd16c90d4f4e40 (patch)
tree83512285071ad22ee2e91aafe8c087877932e598 /sci-biology
parentdev-erlang/epam: x86 stable (bug #649202) (diff)
downloadgentoo-31a70e941154558bcf8afe94c3dd16c90d4f4e40.tar.gz
gentoo-31a70e941154558bcf8afe94c3dd16c90d4f4e40.tar.bz2
gentoo-31a70e941154558bcf8afe94c3dd16c90d4f4e40.zip
sci-biology/biopython: Bump to 1.71
Closes: https://bugs.gentoo.org/653006 Package-Manager: Portage-2.3.40, Repoman-2.3.9
Diffstat (limited to 'sci-biology')
-rw-r--r--sci-biology/biopython/Manifest1
-rw-r--r--sci-biology/biopython/biopython-1.71.ebuild57
2 files changed, 58 insertions, 0 deletions
diff --git a/sci-biology/biopython/Manifest b/sci-biology/biopython/Manifest
index 55331efbbcb..70af7c92d44 100644
--- a/sci-biology/biopython/Manifest
+++ b/sci-biology/biopython/Manifest
@@ -1 +1,2 @@
DIST biopython-1.68.tar.gz 14445813 BLAKE2B 566931c4e522e95278f7f6a9dc07ecc091dc54b69cdea8bb07603339af4f1fd38e3df87482e97729acb776dd2df19a4e61d49ee7608ec5cb0f24966e28c2e3dd SHA512 0ca994475654bb68ff326c8e86cbd4547cd87b42e1633dda039ad668e1298884b22e169f6b25ab514e929861334a93b7db6d057a3486cea9997ca2de95c61a69
+DIST biopython-1.71.tar.gz 16031832 BLAKE2B 2062065b77fc35ea8a3f09ec967482c233a6e0bbfc7d09187ff5e892848b45fa7bd6d7b6027b38c3d4c9a9c601785521fa7edb91fa960b46c8e49aed91b1f5dc SHA512 003955e92295e98526c88abb573db9bdc37877fc41395551b541e7106ffa603327a36c6f4d999838c0be38b378901235c9dbd7cb7fc25c14a5d7001939fe23bd
diff --git a/sci-biology/biopython/biopython-1.71.ebuild b/sci-biology/biopython/biopython-1.71.ebuild
new file mode 100644
index 00000000000..f770b57a2a6
--- /dev/null
+++ b/sci-biology/biopython/biopython-1.71.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
+
+inherit distutils-r1 eutils
+
+DESCRIPTION="Python modules for computational molecular biology"
+HOMEPAGE="https://www.biopython.org/ https://pypi.org/project/biopython/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="HPND"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE=""
+
+RDEPEND="
+ dev-python/matplotlib[${PYTHON_USEDEP}]
+ dev-python/networkx[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/rdflib[${PYTHON_USEDEP}]
+ dev-python/pygraphviz[${PYTHON_USEDEP}]
+ dev-python/reportlab[${PYTHON_USEDEP}]
+ dev-python/pydot[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+ sys-devel/flex"
+
+DOCS=( CONTRIB DEPRECATED NEWS README Doc/. )
+
+python_test() {
+ distutils_install_for_testing
+ cp -r "${S}"/{Doc,Tests} "${TEST_DIR}"/lib/ || die
+ cd "${TEST_DIR}"/lib/Tests || die
+ rm test_BioSQL_{psycopg2.py,MySQLdb.py,mysql_connector.py} || die
+ "${EPYTHON}" run_tests.py --offline --verbose || die
+}
+
+python_install_all() {
+ # remove files causing ecompressdir to fail
+ rm Doc/examples/ls_orchid.gbk.bz2 || die
+
+ distutils-r1_python_install_all
+
+ dodir /usr/share/${PN}
+ cp -r --preserve=mode Scripts Tests "${ED}"/usr/share/${PN} || die
+}
+
+pkg_postinst() {
+ elog "For database support you need to install:"
+ optfeature "MySQL" dev-python/mysql-python
+ optfeature "PostGreSQL" dev-python/psycopg
+
+ elog "Some applications need extra packages:"
+ optfeature "EMBOSS (The European Molecular Biology Open Software Suite)" sci-biology/emboss
+}